/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mAddRect.h.rca 1.2 Wed Jul 23 10:36:06 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mAddRect.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:06 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:52 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MADDRECT_H_
#define __C4MADDRECT_H_

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif


#ifdef __cplusplus
extern "C" {
#endif

uint32 c4mAddRect(
	c4mMatrix *rects,
	c4mMatrix *score,
	uint32* ri,
	uint32 mergeMode, 
	uint32 *nofout);

uint32 c4mAddRect2(
	c4mMatrix *rects,
	c4mMatrix *score,
	uint32* ri,
	uint32 inScore,
	uint32 mergeMode, 
	uint32 *nofout);

#ifdef __cplusplus
}
#endif

#endif /* __C4MADDRECT_H_ */
