/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mChafGetPatchesFromImage_2S_SR.h.rca 1.2 Wed Jul 23 10:36:06 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mChafGetPatchesFromImage_2S_SR.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:06 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:52 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MCHAFGETPATCHESFROMIMAGE_2S_SR_H_
#define __C4MCHAFGETPATCHESFROMIMAGE_2S_SR_H_

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif

#ifndef __C4MCHAF_H_
#include "c4mChaf.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

int8 c4mChafGetPatchesFromImage_2S_SXR(c4mChaf2SType *cascade,
	c4mChafSearchType *paramSearch,c4mChafSearchRotated *param2,c4mMatrix *imRefMx, 
	c4mMatrix *patches, c4mMatrix *score, c4mMatrix *StatsMx, c4mChafTmpType *sup,
	CollectData* Dati);

#ifdef __cplusplus
}
#endif

#endif /* __C4MCHAFGETPATCHESFROMIMAGE_SXR_H_ */
