/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mObjectFinder.h.rca 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mObjectFinder.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:10 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:56 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MOBJECTFINDER_H_
#define __C4MOBJECTFINDER_H_ 

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif


#ifdef __cplusplus
extern "C" {
#endif

int8 c4mObjectFinder_IU8X(c4mMatrix *img, uint32 c_x, uint32 c_y, uint32 w_x, uint32 w_y, c4mMatrix *cog);
int8 c4mObjectFinder_DU8(c4mMatrix *img, float64 c_x, float64 c_y, float64 w_x, float64 w_y, c4mMatrix *cog);

#ifdef __cplusplus
}
#endif

#endif /* __C4MOBJECTFINDER_H_ */
