/*******************************************************************************
 *                            C STMicroelectronics
 *    Reproduction and Communication of this document is strictly prohibited
 *      unless specifically authorized in writing by STMicroelectronics.
 *------------------------------------------------------------------------------
 *                              Imaging Division
 *------------------------------------------------------------------------------
 * $Id: c4mSqrt.h.rca 1.2 Wed Jul 23 10:36:11 2008 vitor.schwambach@st.com Experimental $
 *------------------------------------------------------------------------------
 * $Log: c4mSqrt.h.rca $
 * 
 *  Revision: 1.2 Wed Jul 23 10:36:11 2008 vitor.schwambach@st.com
 *  No modification.
 * 
 *  Revision: 1.1 Fri Jul 18 13:56:56 2008 vitor.schwambach@st.com
 *  Initial version from AST
 ******************************************************************************/

#ifndef __C4MSQRT_H_
#define __C4MSQRT_H_

#ifndef __C4MTYPES_H_
#include "c4mTypes.h"
#endif


#ifdef __cplusplus
extern "C" {
#endif

uint32 c4mSqrtScalar_U(uint32 val);
uint32 c4mSqrtScalar_UU64(uint64 val);
int8 c4mSqrt_UX(c4mMatrix *x);
int8 c4mSqrt_D(c4mMatrix *x);

#ifdef __cplusplus
}
#endif

#endif /* __C4MSQRT_H_ */
