/******************** (C) COPYRIGHT 2007 STMicroelectronics ********************
* File Name          : DemoBlobsearch.h
* Author             : AST Robotics group
* Date First Issued  : 11 June 2007 : Version 1.0
* Description        : header for DemoBlobsearch.c.
********************************************************************************
* History:
* 11 June 2007 : Version 1.0
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Define to prevent recursive inclusion ------------------------------------ */
#ifndef __DEMOBLOBSEARCH_H__
#define __DEMOBLOBSEARCH_H__

/* Includes ------------------------------------------------------------------*/
#include "91x_lib.h"
#include "serial_protocol.h"

//#define UART_RxBufferSize (2*TMsg_MaxLen)
//#define Uart_Msg_Max_Size TMsg_MaxLen

/* Exported types ------------------------------------------------------------*/

//typedef struct {
//  u32 SrcAdd;    /* The current source address (byte-aligned) of the data to be transferred.*/
//  u32 DesAdd;    /* The current destination address (byte-aligned) of the data to be transferred.*/
//  u32 LLstItm;   /* The word- aligned address for the next Linked List Item. */
//  u32 CCR;       /* The current Channel Control Register */
//} TUART_DMA_LLI;
//
//typedef struct {
//  TUART_DMA_LLI    DMA_LLI;
//  u8              *pDMA_Buffer;
//  u16             StartOfMsg;
//} TUart_Engine;

/* Exported constants --------------------------------------------------------*/

/* Module private variables --------------------------------------------------*/
//extern u8 UART_RxBuffer[];
//extern TUart_Engine Uart_Engine;

/* Exported macro ------------------------------------------------------------*/
/* Private functions ---------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

void DemoBlobSearch(TMsg *Msg);
int Handle_CMD_FmiSaveBs(TMsg *Msg);
int Handle_CMD_FmiLoadBs(TMsg *Msg);

#endif /* __DEMOBLOBSEARCH_H__ */


/******************* (C) COPYRIGHT 2007 STMicroelectronics *****END OF FILE****/

