/******************** (C) COPYRIGHT 2007 STMicroelectronics ********************
* File Name          : DemoWebcam.h
* Author             : AST Robotics group
* Date First Issued  : 11 June 2007 : Version 1.0
* Description        : header for DemoWebcam.c.
********************************************************************************
* History:
* 11 June 2007 : Version 1.0
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

/* Define to prevent recursive inclusion ------------------------------------ */
#ifndef __DEMOFAST_H__
#define __DEMOFAST_H__

/* Includes ------------------------------------------------------------------*/
#include "91x_lib.h"
#include "serial_protocol.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Module private variables --------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Private functions ---------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

void DemoFast(TMsg *Msg);
int Handle_CMD_GetFastPoints(TMsg *Msg);
int Handle_CMD_FastSettings(TMsg *Msg);

#endif /* __DEMOFAST_H__ */


/******************* (C) COPYRIGHT 2007 STMicroelectronics *****END OF FILE****/

