/******************** (C) COPYRIGHT 2007 STMicroelectronics ********************
* File Name          : fmi.h
* Author             : AST Robotics group
* Date First Issued  : 6 May 2010 : Version 1.0
* Description        :
********************************************************************************
* History:
* 6 May 2010 : Version 1.0
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/


#ifndef FMI_H_
#define FMI_H_

/* Includes ------------------------------------------------------------------*/
#include "91x_lib.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
#ifdef Boot_Bank_0
#define BANK0_OFFSET 0x00000000
#else
#define BANK0_OFFSET 0x00080000
#endif
/* Module private variables --------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Private functions ---------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void FMI_Configuration(void);
void FMI_WriteB1S0_U32Data(u32 data);
//void FMI_WriteB0_Buffer(u8 *data, u32 Len, u32 Sector);
//void FMI_ReadB0_Buffer(u8 *data, u32 Len, u8 Sector);
void FMI_WriteB1_Data(u8 *data, u32 Len, u8 Sector, u32 addrOffset, u8 erase);
void FMI_ReadB1_Data(u8 *data, u32 Len, u8 Sector, u32 addrOffset);

#endif /* FMI_H_ */
